FreeMat

- Main Page
- Related Pages

vtkExtractArraysOverTime

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractArraysOverTime extracts a selection over time. The output is a multiblock dataset. If selection content type is vtkSelection::Locations, then each output block corresponds to each probed location. Otherwise, each output block corresponds to an extracted cell/point depending on whether the selection field type is CELL or POINT. Each block is a vtkTable with a column named Time (or TimeData if Time exists in the input). When extracting point data, the input point coordinates are copied to a column named Point Coordinates or Points (if Point Coordinates exists in the input). This algorithm does not produce a TIME_STEPS or TIME_RANGE information because it works across time. .Section Caveat This algorithm works only with source that produce TIME_STEPS(). Continuous time range is not yet supported.

To create an instance of class vtkExtractArraysOverTime, simply invoke its constructor as follows

      obj = vtkExtractArraysOverTime

# Methods

The class vtkExtractArraysOverTime has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractArraysOverTime class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractArraysOverTime = obj.NewInstance ()`
- `vtkExtractArraysOverTime = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetNumberOfTimeSteps ()` - Get the number of time steps
- `obj.SetSelectionConnection (vtkAlgorithmOutput algOutput)`